EffectConverter (JavaFX 17)

Module javafx.graphics
Package javafx.css.converter

## Class EffectConverter

- java.lang.Object
- - javafx.css.StyleConverter<ParsedValue[],​Effect>
  - - javafx.css.converter.EffectConverter

- Direct Known Subclasses:
    `EffectConverter.DropShadowConverter`, `EffectConverter.InnerShadowConverter`

      public class EffectConverter
      extends StyleConverter<ParsedValue[],​Effect>

  Converter to convert a string representation of an `Effect` to an `Effect`.
  Since:
    9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EffectConverter.DropShadowConverter` | Converter to convert a `DropShadow` effect.
    `static class` | `EffectConverter.InnerShadowConverter` | Converter to convert an `InnerShadow` effect.

    - ### Nested classes/interfaces declared in class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EffectConverter()` | Constructs an EffectConverter.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearCache()` | Clears the InnerShadowConverter cache.
    `static StyleConverter<ParsedValue[],​Effect>` | `getInstance()` | Gets the `EffectConverter` instance.

    - ### Methods declared in class javafx.css.StyleConverter

      `cacheValue, convert, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectConverter

          protected EffectConverter()

      Constructs an EffectConverter.

  - ### Method Detail

    - #### getInstance

          public static StyleConverter<ParsedValue[],​Effect> getInstance()

      Gets the `EffectConverter` instance.
      Returns:
        the `EffectConverter` instance

    - #### clearCache

          public static void clearCache()

      Clears the InnerShadowConverter cache.